# H4505_ParkCondition Class Reference

`#include <h4505.h>`

List of all members.

## Public Types

enum | Enumerations { e_unspecified, e_parkedToUserIdle, e_parkedToUserBusy, e_parkedToGroup }

## Public Member Functions

| H4505_ParkCondition (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
H4505_ParkCondition & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum H4505_ParkCondition::Enumerations

Enumerator:

  e_unspecified |
  e_parkedToUserIdle |
  e_parkedToUserBusy |
  e_parkedToGroup |

## Constructor & Destructor Documentation

H4505_ParkCondition::H4505_ParkCondition | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4505_ParkCondition& H4505_ParkCondition::operator= | ( | unsigned | v | ) |

PObject* H4505_ParkCondition::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4505.h